<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Portifolio</title>

    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta3/dist/css/bootstrap.min.css" rel="stylesheet"
          integrity="sha384-eOJMYsd53ii+scO/bJGFsiCZc+5NDVN2yr8+0RDqr0Ql0h+rP48ckxlpbzKgwra6" crossorigin="anonymous">

    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.4.1/font/bootstrap-icons.css">

</head>
<body class="bg-light">

<div class="container p-lg-5 py-5">
    <div class="row justify-content-center bg-body rounded shadow p-3">
        <div class="col-3 text-center">

            <img src="https://cdn.pixabay.com/photo/2012/04/26/19/43/profile-42914_960_720.png"
                 id="perfil-foto"
                 class="img-thumbnail">

            <div class="input-group mt-3">
                <input class="form-control" id="edit-perfil-foto" type="file">
                <button class="btn btn-outline-primary"
                        type="button"
                        onclick="uploadFoto()">
                    <i class="bi bi-upload"></i>
                    Upload
                </button>
            </div>

        </div>
        <div class="col-9">
            <div class="row text-end">
                <a type="button" data-bs-toggle="modal" data-bs-target="#edit-perfil-modal" onclick="editPerfil()">
                    <i class="bi bi-pencil"></i>
                    Editar
                </a>
            </div>
            <div class="row">
                <h2>
                    Olá meu nome é <strong id="perfil-nome"></strong>
                </h2>
                <p id="perfil-bio">

                </p>
            </div>
            <div class="row mt-5">
                <div class="col-6">
                    <h2 id="perfil-fone"></h2>
                    <p><i class="bi bi-phone"></i> Telefone</p>
                </div>
                <div class="col-6">
                    <h2 id="perfil-email"></h2>
                    <p><i class="bi bi-envelope"></i> Email</p>
                </div>
            </div>
        </div>
    </div>

    <div class="row mt-3 text-white bg-dark rounded shadow">
        <div class="col-6 fs-2 p-3">
            <i class="bi bi-award"></i>
            Habilidades
        </div>
        <div class="col-6 text-end p-3">
            <a type="button" onclick="newHabilidade()" data-bs-target="#edit-habilidade-modal" data-bs-toggle="modal">
                <i class="bi bi-plus-circle"></i>
                Novo
            </a>
        </div>
    </div>
    <div class="row bg-body mt-3 p-3 rounded shadow">
        <ul class="list-group" id="lista-habilidades">
        </ul>
    </div>

    <div class="row mt-3 text-white bg-dark rounded shadow">
        <div class="col-6 fs-2 p-3">
            <i class="bi bi-code-slash"></i>
            Projetos
        </div>
    </div>
    <div class="row bg-body mt-3 p-3 rounded shadow">
        <ul class="list-group" id="lista-projetos">
        </ul>
    </div>
</div>

<div class="modal fade" id="edit-perfil-modal">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                Edição do Perfil
            </div>
            <div class="modal-body">
                <div class="mb-3">
                    <label for="edit-perfil-nome" class="form-label">Nome</label>
                    <input type="text" class="form-control" id="edit-perfil-nome">
                </div>
                <div class="mb-3">
                    <label for="edit-perfil-email" class="form-label">Email</label>
                    <input type="email" class="form-control" id="edit-perfil-email" placeholder="seunome@gmail.com">
                </div>
                <div class="mb-3">
                    <label for="edit-perfil-fone" class="form-label">Telefone</label>
                    <input type="text" class="form-control" id="edit-perfil-fone">
                </div>
                <div class="mb-3">
                    <label for="edit-perfil-bio" class="form-label">Biografia</label>
                    <textarea type="text" class="form-control" id="edit-perfil-bio" rows="3"></textarea>
                </div>

            </div>
            <div class="modal-footer">
                <button class="btn btn-secondary" data-bs-dismiss="modal">Cancelar</button>
                <button class="btn btn-primary" onclick="savePerfil()" data-bs-dismiss="modal">Salvar</button>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="edit-habilidade-modal">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                Edição da Habilidade
            </div>
            <div class="modal-body">
                <div class="mb-3">
                    <label for="edit-habilidade-nome" class="form-label">Nome</label>
                    <input type="text" class="form-control" id="edit-habilidade-nome">
                </div>
                <div class="mb-3">
                    <label for="edit-habilidade-descricao" class="form-label">Descrição</label>
                    <textarea type="text" class="form-control" id="edit-habilidade-descricao" rows="3"></textarea>
                </div>
            </div>
            <div class="modal-footer">
                <button class="btn btn-secondary" data-bs-dismiss="modal">Cancelar</button>
                <button class="btn btn-primary" onclick="saveHabilidade()" data-bs-dismiss="modal">Salvar</button>
            </div>
        </div>
    </div>
</div>

<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta3/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-JEW9xMcG8R+pH31jmWH6WWP0WintQrMb4s7ZOdauHnUtxwoG2vI5DkLtS3qm9Ekf"
        crossorigin="anonymous"></script>
<script type="application/javascript" src="app.js"></script>
</body>
</html>